%define name gcc-plugin-melt
%define srcname melt-%{meltversion}-plugin-for-gcc-%{meltbranch}
%define meltversion 0.8
%define meltbranch 4.6
%define version %{meltversion}

%define gccplugindir %(gcc -print-file-name=plugin)

Name:		%{name}
Version:	%{version}
Epoch:		1
Release:	2
License:	GPLv3
Summary:	Middle End Lisp Translator GCC plugin
Group:		Development/C
URL:		http://gcc-melt.org
Source0:	http://gcc-melt.org/%{srcname}.tgz
Patch0:		melt-stage0-static.patch
Requires:	gcc
Suggests:	%{name}-doc
BuildRequires:	gcc-plugin-devel
BuildRequires:	gmp-devel
BuildRequires:	ppl-devel
BuildRequires:	ppl_c-devel
BuildRequires:	mpfr-devel
BuildRequires:	libmpc-devel
BuildRequires:	texinfo
BuildRequires:	texi2html
Provides:	gccmelt

%description
GCC MELT is a GCC plugin providing a lispy domain specific
language to easily code GCC extensions in.

GCC MELT should interest any important software project
(coded in C, C++, Ada, Fortran, ...), compiled with GCC,
since it facilitates the development of customized GCC
extensions for:

* specific warnings or typechecks
* specific optimizations
* coding rules validation
* source code navigation or processing, in particular aspect
  oriented programming, retro-engineering or refactoring tasks
* Any processing taking advantage of powerful GCC internal
  representations of your source code.

%post
  %_install_info meltplugin.info
  %_install_info meltpluginapi.info

%preun
  %_remove_install_info meltplugin.info
  %_remove_install_info meltpluginapi.info

%files
%defattr(-,root,root,-)
%{_bindir}/pygmentize-melt
%{gccplugindir}/include/*
%{gccplugindir}/melt-source/*
%{gccplugindir}/melt-modules/*
%{gccplugindir}/melt-module.mk
%{gccplugindir}/melt.so
#{_infodir}/meltplugin*

%package doc
Summary:	GCC MELT Plugin Documentation
BuildArch:	noarch

%description doc
This packages provides the GCC MELT documentation.

%files doc
#doc %{_docdir}/gcc-plugin-melt-doc

%prep
%setup -q -n %{srcname}
# Required workaround suggested by basile to build on x86
#patch0 -p0 -b .stage0

%build
make all

%install
make DESTDIR=%{buildroot}/ install install-melt-source

%{__install} -m755 -d %{buildroot}%{_bindir}

#{__install} -m755 -d %{buildroot}%{_infodir}
#{__install} -m755 -d %{buildroot}%{_docdir}/%{name}-doc/html/
#{__install} -m644 *.info %{buildroot}%{_infodir}
#{__install} -m644 *.html %{buildroot}%{_docdir}/%{name}-doc/html/

%{__install} -m755 pygmentize-melt %{buildroot}%{_bindir}/

%clean
rm -fr %{buildroot}


%changelog
* Thu Jul 21 2011 Alexandre Lissy <alissy@mandriva.com> 1:0.8-2
+ Revision: 690802
- Fix melt sources path (temporary)
- Adding missing melt-sources/ directory
  Forcing 'install-melt-source' Makefile target (should be fixed next release)

* Sun Jul 17 2011 Alexandre Lissy <alissy@mandriva.com> 1:0.8-1
+ Revision: 690150
- Fix paths
- Fix changed paths
- Fix removed gccplugindir macro
- Disable doc for now
- Fix compilation: make -j is still failing
- Setting Epoch
- Remove gcc version
- 0.8-1
- Version 0.8.0 release 1
- Release bump
- Preparing for 0.8
- Fix gengtype call

* Fri Jul 08 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.8rc2-1
+ Revision: 689316
- Updating to MELT plugin 0.8rc2

* Fri Jul 01 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.7-6
+ Revision: 688500
- Bump release
- Adding gccmelt provides

* Wed Jun 29 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.7-5
+ Revision: 688296
- Fix inconsistency between docdir
- Fix inconsistent path for gcc-plugin-melt-doc

* Wed Jun 29 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.7-4
+ Revision: 688235
- Introducing documentation package for GCC MELT

* Wed Jun 29 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.7-3
+ Revision: 688210
- Remove unneeded dependency against gcc-plugin-devel
  Release bump

* Tue Jun 28 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.7-2
+ Revision: 687647
- gcc-plugin-devel release bump
- gcc-plugin-devel release bump

* Mon Jun 27 2011 Alexandre Lissy <alissy@mandriva.com> 4.6.1+0.7-1
+ Revision: 687596
- Fix gcc plugin directory
- Fix missing /usr/bin creation in buildroot
- Fix pygmentize-melt installation
  Fix file globbing in gccdir
- Fix documentation directory creation
  Set building/installing process quiet
- Introducing separate gcc-plugin-melt package
- Created package structure for gcc-plugin-melt.

